package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.Map;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品属性值对象 fs_store_product_attr_value
 *
 * @author fs
 * @date 2022-03-15
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class FsStoreProductAttrValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 商品属性索引值 (attr_value|attr_value[|....]) */
    @Excel(name = "商品属性索引值 (attr_value|attr_value[|....])")
    private String sku;

    /** 属性对应的库存 */
    @Excel(name = "属性对应的库存")
    private Integer stock;

    /** 销量 */
    @Excel(name = "销量")
    private Integer sales;

    /** 属性金额 */
    @Excel(name = "属性金额")
    private BigDecimal price;

    /** 图片 */
    @Excel(name = "图片")
    private String image;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal cost;

    /** 商品条码 */
    @Excel(name = "商品条码")
    private String barCode;

    @Excel(name = "组合条码")
    private String groupBarCode;

    /**
     * 服用方法
     */
    @Excel(name = "服用方法")
    private String usageMethod;
    /**
     * 一日几次
     */
    @Excel(name = "一日几次")
    private String frequency;
    /**
     * 用药数量
     */
    @Excel(name = "用药数量")
    private String dosage;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal otPrice;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal weight;

    /** 体积 */
    @Excel(name = "体积")
    private BigDecimal volume;

    /** 一级返佣 */
    @Excel(name = "一级返佣")
    private BigDecimal brokerage;

    /** 二级返佣 */
    @Excel(name = "二级返佣")
    private BigDecimal brokerageTwo;

    @Excel(name = "三级返佣")
    private BigDecimal brokerageThree;


    /** 需要多少积分兑换 */
    @Excel(name = "需要多少积分兑换")
    private Integer integral;

    private BigDecimal agentPrice;

    private Map<String, String> detail;


}
