package com.fs.store.dto;

import com.fs.store.domain.FsPrescribeDrug;
import lombok.Data;
import java.util.Date;
import java.util.List;
import java.util.Random;

@Data
public class MedicalRecordDTO {

    // 头部信息
    private Date visitDate;           // 就诊日期
    private String outpatientNo;      // 门诊号
    private String department;        // 科别
    private String paymentType;       // 付款类型

    // 患者基本信息
    private String patientName;       // 姓名
    private String gender;            // 性别
    private Integer age;              // 年龄
    private String height;            // 身高
    private String weight;            // 体重
    private String phone;             // 联系电话
    private String address;           // 单位或地址

    // 病情信息
    private String chiefComplaint;    // 主诉
    private String presentIllness;    // 现病史
    private String pastHistory;       // 既往史
    private String allergyHistory;    // 过敏史

    // 检查信息
    private String vitalSigns;        // 生命体征
    private String auxiliaryExam;     // 辅助检查

    // 诊疗信息
    private String diagnosis;         // 诊断
    private String medicalAdvice;     // 医嘱
    private String healthEducation;   // 健康教育
    private String treatmentPlan;     // 处理意见
    private String prescription;      // 处方1

    // 医生信息
    private String doctorName;        // 医生签名

    List<FsPrescribeDrug> drugList;
}
